#!/usr/bin/perl
use warnings;
use strict;

use CGI;

my $q = CGI->new();

my $id = $q->param('id') || $q->param('pid') || $q->param('page') || 0;

print "Content-Type: text/html; charset=utf-8\n";
print "\n";
print "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN'
'http://www.w3.org/TR/2002/REC-xhtml1-20020801/DTD/xhtml1-strict.dtd'>\n";
print "<html>\n";
print "<head>\n";
print "<title>Google Parameter Test</title>\n";
print "<style type='text/css'>th { vertical-align: baseline }</style>\n";
print "</head>\n";
print "<body>\n";
print "<h1>Google Parameter Test</h1>\n";
print "<p>In <a
href='http://www.mattcutts.com/blog/guest-post-vanessa-fox-on-organic-site-review-session/'
>Matt Cutts: Gadgets, Google, and SEO » Guest post:
Vanessa Fox on Organic Site Review session</a> Vanessa Fox and Matt
Cutts claim that Google doesn't include URLs with an <code>id</code>
parameter in the index. This script tries to check this.</p>\n";
my $url = $q->url;
if ($id == 23) {
    print "<p>Keyword: <strong>Amaecaa8</strong></p>\n";
    print "<p>See the <a href='$url#results'>results</p>\n";
} elsif ($id == 42) {
    print "<p>Keyword: <strong>Eisohph6</strong></p>\n";
    print "<p>See the <a href='$url#results'>results</p>\n";
} else {
    print "<h2 id='results'>Results</h2>\n";
    print "<table>\n";
    print "<tr>\n";
    print "<th>2006-07-31</th>\n";
    print "<td>test created</td>\n";
    print "</tr>\n";
    print "<tr>\n";
    print "<th>2006-08-02</th>\n";
    print "<td>google bot first observed</td>\n";
    print "</tr>\n";
    print "<tr>\n";
    print "<th>2006-08-05</th>\n";
    print "<td>msn bot first observed</td>\n";
    print "</tr>\n";
    print "<tr>\n";
    print "<th>2006-08-06</th>\n";
    print "<td>";
    print "<a
    href='http://search.msn.com/results.aspx?q=Amaecaa8&Form=MSNH'>MSN
    search for Amaecaa8</a> finds <code>page=23</code>. ";
    print "<a href='http://search.msn.com/results.aspx?q=Eisohph6&FORM=QBRE3'>MSN search for Eisohph6</a> finds nothing. ";
    print "Google finds nothing. ";
    print "</td>\n";
    print "</tr>\n";

    print "<th>2006-08-11</th>\n";
    print "<td>";
    print "<a href='http://www.google.com/search?q=Amaecaa8'>Google
    search for Amaecaa8</a> finds <code>id=23</code>. ";
    print "<a href='http://www.google.com/search?q=Eisohph6'>Google
    search for Eisohph6</a> still finds nothing. ";
    print "<a href='http://search.msn.com/results.aspx?q=Eisohph6&FORM=QBRE3'>MSN search for Eisohph6</a> now also finds <code>page=42</code>. ";
    print "</td>\n";
    print "</tr>\n";

    print "<th>2006-08-12</th>\n";
    print "<td>";
    print "<a href='http://www.google.com/search?q=Eisohph6'>Google
    search for Eisohph6</a> now finds <code>id=42</code>. ";
    print "</td>\n";
    print "</tr>\n";

    print "<th>2006-08-16</th>\n";
    print "<td>";
    print "<a href='http://www.google.com/search?q=Amaecaa8'>Google
    search for Amaecaa8</a> now also finds <code>page=23</code> and  this page. For some reason it shows the two identical pages, but shows this page (which is different) only if you click on 'repeat the search with the omitted results included'. ";
    print "<a href='http://www.google.com/search?q=Eisohph6'>Google
    search for Eisohph6</a> now also finds this page and <code>pid=42</code>. ";
    print "<a
    href='http://search.msn.com/results.aspx?q=Amaecaa8&Form=MSNH'>MSN
    search for Amaecaa8</a> now also finds this page. ";
    print "</td>\n";
    print "</tr>\n";

    print "<th>2006-08-21</th>\n";
    print "<td>";
    print "We now welcome the bots of <a href='http://www.ask.com/'>Ask Jeeves/Teoma</a> and <a href='http://search.yahoo.com/'>Yahoo!</a>. ";
    print "Neither has spidered any of the parametrized pages yet. ";
    print "</td>\n";
    print "</tr>\n";

    print "</table>\n";
}
print "<ul>\n";
for my $param (qw(id pid page)) {
    for my $value (qw(23 42)) {
	print "<li><a href='$url?$param=$value'>$param: $value</a></li>\n";
    }
}
print "</ul>\n";
print "</body>\n";
print "</html>\n";
# vim:tw=0
